# $Revision: 1.42 $, $Date: 2008/11/11 15:15:28 $
Summary:	GNOME manager for CUPS printers
Summary(pl.UTF-8):	Zarządca drukarek CUPS dla GNOME
Name:		gnome-cups-manager
Version:	0.33
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/gnome-cups-manager/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	a48eb85cd239760913c936d824062473
Source1:	%{name}-cc.desktop
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gnome-keyring-devel
BuildRequires:	gtk+2-devel >= 2:2.6.3
BuildRequires:	intltool >= 0.20
BuildRequires:	libbonobo-devel >= 2.0.0
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomecups-devel >= 0.2.3
BuildRequires:	libgnomeprint-devel >= 2.10.0
BuildRequires:	libgnomeui-devel >= 2.10.0-2
BuildRequires:	libsmbclient-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	cups-devel >= 1.1.23
Requires:	gnome-icon-theme
Requires:	gnomesu >= 0.3
Obsoletes:	gnome-cups-manager-cc-applet <= 0.17-3
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME manager for CUPS printers.

%description -l pl.UTF-8
Zarządca drukarek CUPS dla GNOME.

%package devel
Summary:	Devel files for gnome-cups-manager (libgnomecupsui)
Summary(pl.UTF-8):	Pliki nagłówkowe dla gnome-cups-manager (libgnomecupsui)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.6.3
Requires:	libgnomecups-devel >= 0.1.14

%description devel
Devel files for gnome-cups-manager (libgnomecupsui).

%description devel -l pl.UTF-8
Pliki nagłówkowe dla gnome-cups-manager (libgnomecupsui).

%package static
Summary:	gnome-cups-manager (libgnomecupsui) static library
Summary(pl.UTF-8):	Statyczna biblioteka gnome-cups-manager (libgnomecupsui)
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
gnome-cups-manager (libgnomecupsui) static library.

%description static -l pl.UTF-8
Statyczna biblioteka gnome-cups-manager (libgnomecupsui).

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/gnome-cups-add
%attr(755,root,root) %{_bindir}/gnome-cups-icon
%attr(755,root,root) %{_bindir}/gnome-cups-manager
%attr(755,root,root) %{_sbindir}/gnome-cups-switch
%attr(755,root,root) %{_libdir}/libgnomecupsui*.so.*.*.*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/48x48/devices/*.png
%{_iconsdir}/hicolor/48x48/stock/data/*.icon
%{_iconsdir}/hicolor/48x48/stock/data/*.png
%{_libdir}/bonobo/servers/Gnome_CupsManager.server
%{_pixmapsdir}/%{name}

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/libgnomecupsui*.so
%{_includedir}/libgnomecups-1/libgnomecups/*.h
%{_libdir}/libgnomecupsui*.la
%{_pkgconfigdir}/libgnomecupsui*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomecupsui*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-cups-manager.spec,v $
Revision 1.42  2008/11/11 15:15:28  arekm
- release 3

Revision 1.41  2008/04/02 12:11:51  patrys
- R: newer libgnomecups

Revision 1.40  2008-04-02 11:56:51  patrys
- 0.33

Revision 1.39  2007-11-04 23:22:29  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.38  2007/06/14 18:19:40  arekm
- rel 1

Revision 1.37  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.35  2007/01/04 21:22:01  czarny
- build patch

Revision 1.34  2005/12/07 17:59:54  tiwek
- start up to 0.31
- not build

Revision 1.33  2005/04/05 16:28:01  havner
- rebuild with new libsmbclient

Revision 1.32  2005/03/31 12:17:55  freetz
- get rid of old capplet dir, sorted files list, rel.3 for rebuild

Revision 1.31  2005/03/31 09:31:34  wolvverine
- add BR
- STBR

Revision 1.30  2005/03/31 08:39:18  havner
- integer release

Revision 1.29  2005/03/31 06:14:23  wolvverine
- for rebuild with howl 0.9.10

Revision 1.28  2005/03/24 12:16:18  zawadaa
- up to 0.30
- STBR with libsmbclient-3.0.13

Revision 1.27  2004/12/22 00:16:02  grzegol
- updated to 0.28

Revision 1.26  2004/12/21 18:03:50  aredridel
- R: gnomesu

Revision 1.25  2004/10/05 22:43:01  grzegol
- updated to 0.27
- removed outdated gtk24 patch

Revision 1.24  2004/09/17 16:17:58  havner
- [mass commit] rel++ for s/Capplet/X-Capplet in sources

Revision 1.23  2004/09/16 21:01:58  havner
- rel 3 for updated desktop file

Revision 1.22  2004/09/15 18:24:37  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.21  2004/09/13 20:59:36  grzegol
- added gtk24 patch (fix building with gtk+2-2.4.x)
- rel. 2

Revision 1.20  2004/09/13 20:42:20  grzegol
- updated to 0.25
- removed locale-names patch and remove no locale in %%install

Revision 1.19  2004/08/24 21:09:29  aflinta
- up fro version 0.24

Revision 1.18  2004/08/18 17:22:04  aflinta
- up to version 0.23

Revision 1.17  2004/07/31 22:07:01  grzegol
- updated to 0.22

Revision 1.16  2004/07/26 10:55:06  grzegol
- fixed desktop file (add GTK;GNOME;)
- rel. 2

Revision 1.15  2004/07/23 12:09:45  grzegol
- updated to 0.19
- removed outdated gcc34 patch
- more BRs and Rs

Revision 1.14  2004/06/14 16:35:09  freetz
- .desktop moved back to capplets dir

Revision 1.13  2004/06/12 09:15:40  freetz
- moved desktop file to _desktopdir, because:
  "rev. 1.7 remove cc-applet subpackage as it has only desktop file"
- rel.2

Revision 1.12  2004/06/06 23:03:21  freetz
- 0.18, gcc34 fix added, locale names patch added, %%files update, BRs
  updated

Revision 1.11  2004/04/05 17:32:15  qboosh
- updated gtk24 patch to allow building with GNOME 2.6 too

Revision 1.10  2004/04/05 17:07:34  qboosh
- added gtk24 patch

Revision 1.9  2004/04/04 21:01:07  qboosh
- BR: automake, strict internal deps, release 5

Revision 1.8  2004/03/12 10:54:28  andree
- copy config.sub

Revision 1.7  2004/02/25 19:46:17  krzak
- remove cc-applet subpackage as it has only desktop file,
  and merged with main package
- rel 4

Revision 1.6  2003/12/04 23:22:09  freetz
- added capplet for GNOME CC (subpackage)
- BR libstdc++-devel
- release 3

Revision 1.5  2003/08/01 11:58:50  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.4  2003/07/11 12:28:23  ankry
- URL fixes and other cosmetics

Revision 1.3  2003/07/02 14:42:17  aflinta
- version 0.17

Revision 1.2  2003/06/24 22:17:29  qboosh
- pl, cosmetics, -devel R: libgnomecups-devel

Revision 1.1  2003/06/23 21:42:47  aflinta
- PLD initial release
